package flamexample;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileOutputStream;
import java.io.IOException;
import java.io.InputStream;
import java.util.logging.Level;
import java.util.logging.Logger;

public class FLAMFileWriter extends Thread { //melkt FLAM

    Process proc;
    File FLAMOut;

    public FLAMFileWriter(Process proc, File FLAMOut) {
        this.proc = proc;
        this.FLAMOut = FLAMOut;
    }

    @Override
    public void run() {
        FileOutputStream fos = null;
        try {
            InputStream is = proc.getInputStream();
            BufferedInputStream bis = new BufferedInputStream(is);
            fos = new FileOutputStream(FLAMOut);
            BufferedOutputStream bos = new BufferedOutputStream(fos);
            final int bufferSize = 8192; //zum Beispiel
            byte buffer[] = new byte[bufferSize];
            int length;
            while ((length = bis.read(buffer)) != -1) {
                bos.write(buffer, 0, length);
            }
            bos.flush();
            bos.close();
            fos.close();
            bis.close();
            is.close();
        } catch (IOException ex) {
            Logger.getLogger(FLAMFileWriter.class.getName()).log(Level.SEVERE, null, ex);
        } finally {
            try {
                fos.close();
            } catch (IOException ex) {
                Logger.getLogger(FLAMFileWriter.class.getName()).log(Level.SEVERE, null, ex);
            }
        }
    }
}
