package flamexample;

import java.io.File;
import java.io.IOException;
import java.util.logging.Level;
import java.util.logging.Logger;

public class FLAMRunner extends Thread { //startet FLAM

    String cmd[];
    File FLAMIn;
    File FLAMOut;

    public FLAMRunner(String[] cmd, File FLAMIn, File FLAMOut) {
        //Natrlich kann man auch noch Fortschrittsbalken etc.   bergeben
        //(weiterleiten an FLAMFileWriter).
        //Oder auch ein Textfeld
        //(weiter an FLAMReader).
        this.cmd = cmd;
        this.FLAMIn = FLAMIn;
        this.FLAMOut = FLAMOut;
    }

    @Override
    public void run() {
        try {
            final Process proc = new ProcessBuilder(cmd).start();
            FLAMReader reader = new FLAMReader(proc);
            reader.start();
            FLAMFileReader fileReader = new FLAMFileReader(proc, FLAMIn);
            fileReader.start();
            FLAMFileWriter fileWriter = new FLAMFileWriter(proc, FLAMOut);
            fileWriter.start();
            try {
                int waitFor = proc.waitFor(); //nicht unbedingt ntig
            } catch (InterruptedException ex) {
                Logger.getLogger(FLAMRunner.class.getName()).log(Level.SEVERE, null, ex);
            }
        } catch (IOException ex) {
            Logger.getLogger(FLAMRunner.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
