package flamexample;

import java.io.BufferedInputStream;
import java.io.BufferedOutputStream;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.OutputStream;
import java.util.logging.Level;
import java.util.logging.Logger;

public class FLAMFileReader extends Thread {

    Process proc;
    File FLAMIn;

    public FLAMFileReader(Process proc, File FLAMIn) {
        this.proc = proc;
        this.FLAMIn = FLAMIn;
    }

    @Override
    public void run() {
        try {
            FileInputStream fis = new FileInputStream(FLAMIn);
            BufferedInputStream bis = new BufferedInputStream(fis);
            OutputStream os = proc.getOutputStream();
            BufferedOutputStream bos = new BufferedOutputStream(os);
            final int bufferSize = 8192;
            byte buffer[] = new byte[bufferSize];
            int length;
            while ((length = bis.read(buffer)) != -1) {
                bos.write(buffer, 0, length);
                //Hier knnte man einen Fortschrittsbalken weiterfhren.
            }
            bos.close();
            os.close();
            bis.close();
            fis.close();
        } catch (IOException ex) {
        	Logger.getLogger(FLAMFileReader.class.getName()).log(Level.SEVERE, null, ex);
        }
    }
}
